# /etc/usb_modeswitch.conf
#
# Last modified: 2009-08-24
#
# Configuration for usb_modeswitch, a mode switching tool for controlling
# flip flop (multiple device) USB gear
#
# Main purpose is to trigger the switching of several known UMTS modems
# from storage device mode ("ZeroCD TM" for use with MS Windows) to modem
# (serial) device mode
#
# Detailed instructions and a friendly forum on the homepage:
# http://www.draisberghof.de/usb_modeswitch
#
# News update: you want to read the paragraph about troubleshooting there
# if you run into problems !!!


# Just set or remove the comment signs (# and ;) in order to activate
# your device. (Actual entries are further down, after the reference.)
#
# For custom settings:
# Numbers can be decimal or hexadecimal, MessageStrings MUST be
# hexadecimal without prepended "0x". Digits 9-16 in the known
# MessageStrings are arbitrary; I set them to "12345678"


# What it all means (short command line flags appended):
#
#
# * DefaultVendor            -v <hex number>
# * DefaultProduct           -p <hex number>
#
# This is the ID the USB device shows after having been plugged in.
# The program needs this; if not found -> no action.
#
#
# * TargetVendor             -V <hex number>
# * TargetProduct            -P <hex number>
#
# These are the IDs of the USB device after successful mode switching.
# They are optional, but I recommend to provide them for better analysis.
# You definitely need them if you enable CheckSuccess (see below)
#
#
# * TargetProductList        (file only) <comma separated hex strings>
#
# Like TargetProduct, but more than one possibility. Only used in automated
# config files (in /etc/usb_modeswitch.d). 
#
#
# * TargetClass              -C <hex number>
#
# Some weird devices don't change IDs. They only switch the device class.
# If the device has the target class -> no action (and vice versa)
#
#
# * MessageEndpoint          -m <hex number>
# 
# A kind of address inside the interface to which the "message"
# (the sequence that does the actual switching) is directed.
# Starting from version 0.9.7 the MessageEndpoint is autodetected
# if not given
#
#
# * MessageContent           -M <hex string>
#
# A hex string containing the "message" sequence; it will be
# sent as a USB bulk transfer.
# 
#
# * ResponseEndpoint         -r <hex number>
# * NeedResponse <0/1>       -n
#
# Some devices were reported to require receiving the response of the
# bulk transfer to do the switching properly. Usually not needed.
# Starting from version 1.0.0 the ResponseEndpoint is autodetected
# if not given
#
#
# * DetachStorageOnly <0/1>  -d
#
# Some devices just need to be detached from the usb-storage
# driver to initiate the mode switching. Using this feature
# instead of removing the whole usbstorage module keeps other
# storage devices working.
#
#
# * HuaweiMode <0/1>         -H
#
# Some Huawei devices can be switched by a special control
# message.
#
#
# * SierraMode <0/1>         -S
#
# Some Sierra devices can be switched by a special control
# message.
#
#
# * SonyMode <0/1>           -O
#
# Some Sony-Ericsson devices can be switched by a special control
# message. This is experimental and might not have a stable result
#
#
# * ResetUSB <0/1>           -R
#
# Some devices need a rougher treatment. If the switching seems
# to do something (run udevmonitor), but your system does not reflect
# it, try this somewhat brutal method to do a reset after switching.
# Mind that if your device switched OK before, this will probably set
# it back to storage mode ...
#
#
# * Interface                -i <hex number>
# * Configuration            -u <hex number>
# * AltSetting               -a <hex number>
#
# More USB parameter to help with tricky devices and for doing lots
# of cruel experiments ...
#
## Note:
## AltSetting/Configuration changes and ResetUSB are executed after all
## other steps and can be combined or used on their own (e.g. a reset
## might have the same effect as a manual replug)
#
#
# * InquireDevice <0|1>      -I (disables inquiry)
#
# The standard since 1.0.0 is to do a SCSI inquiry on the default device
# before other actions. This might be a future way to identify a device
# without ambiguities. If it causes trouble with your device, just disable.
#
#
# * CheckSuccess             -s <number>
#
# Check continuously if the switch succeeded for max <number> seconds.
# First, an interface access test: most devices vanish after
# switching and can't be accessed anymore.
# Second, a recount of target devices: one more than at the initial
# count, at the same bus with a higher device number -> device
# switched fine.
# It's safe to give a higher value than needed; checking stops as
# soon as the target device is found
#
#
# -> All other entries are just ignored <-

# Additional command line flags:
# 
# Verbose output             -W
# No output at all           -q
# Other config file          -c <file>

# For filling in all this information for an unknown device,
# see instructions and links on the homepage:
# http://www.draisberghof.de/usb_modeswitch
#
# If you find working codes and configurations, please contribute
# them!


;CheckSuccess=2

#######################################################
# Option GlobeSurfer Icon (aka "Vodafone EasyBox")
#
# The message SHOULD be the same for all Option devices

;DefaultVendor=  0x05c6
;DefaultProduct= 0x1000

;TargetVendor=   0x0af0
;TargetProduct=  0x6600

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456780000000000000601000000000000000000000000000000"


#######################################################
# Option GlobeSurfer Icon 7.2 
#
# Contributor: The Pharscape Forum

;DefaultVendor=  0x05c6
;DefaultProduct= 0x1000

;TargetVendor=   0x0af0
;TargetProduct=  0x6901

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456780000000000000601000000000000000000000000000000"


########################################################
# Option GlobeTrotter GT MAX 3.6 (aka "T-Mobile Web'n'walk Card Compact II")
#
# Contributor: Bernd Holzm�ller

;DefaultVendor=  0x05c6
;DefaultProduct= 0x1000

;TargetVendor=   0x0af0
;TargetProduct=  0x6600

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456780000000000000601000000000000000000000000000000"

;ResponseEndpoint=0x84


########################################################
# Option GlobeTrotter GT MAX "7.2 Ready"
#
# Contributors: Lucas Benedicic, Morgwai Kotarbinski

;DefaultVendor=  0x05c6
;DefaultProduct= 0x1000

;TargetVendor=   0x0af0
;TargetProduct=  0x6701

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456780000000000000601000000000000000000000000000000"


########################################################
# Option GlobeTrotter EXPRESS 7.2 (aka "T-Mobile wnw Express II")
#
# Contributor: Fridtjof Busse

;DefaultVendor=  0x05c6
;DefaultProduct= 0x1000

;TargetVendor=   0x0af0
;TargetProduct=  0x6701

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456780000000000000601000000000000000000000000000000"

# Response reading needed according to one (1) report
;ResponseEndpoint=0x84


#######################################################
# Option GlobeSurfer Icon 7.2, new firmware (HSO driver)
#
# Vendor/ProductID don't change when switching, only the device
# class does. Most new Option devices work with this. Just adapt IDs!
# HSO driver support is available at Pharscape (www.pharscape.org)
#
# Contributor: Paul Hardwick

;DefaultVendor=  0x0af0
;DefaultProduct= 0x6911

;TargetClass=    0xff

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456780000000000000601000000000000000000000000000000"


########################################################
# Option iCON 210
# PROLiNK PHS100 (various looks)
# Hyundai Mobile MB-810
#
# One report of switching with DetachStorageOnly. Needs at least
# a second to settle before binding to usbserial
#
# Contributor: wahlm, Peter Kraker, Pakdhetimin Sekum

;DefaultVendor=  0x1e0e
;DefaultProduct= 0xf000

;TargetVendor=   0x1e0e
;TargetProduct=  0x9000

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="555342431234567800000000000006bd000000020000000000000000000000"

;ResponseEndpoint=0x01


#######################################################
# Option iCON 225 HSDPA
#
# New Firmware. HSO driver support is available at Pharscape (www.pharscape.org)
#
# Contributor: Matti Viljanen

;DefaultVendor=  0x0af0
;DefaultProduct= 0x6971

;TargetClass=    0xff

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243785634120100000080000601000000000000000000000000000000"


#######################################################
# Option GlobeTrotter HSUPA Modem (aka "T-Mobile Web'n'walk Card Compact III')
#
# New Firmware. HSO driver support is available at Pharscape (www.pharscape.org)
#
# Contributor: Gerold Gruber

;DefaultVendor=  0x0af0
;DefaultProduct= 0x7011

;TargetClass=    0xff

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243785634120100000080000601000000000000000000000000000000"


###################################################### 
# Option iCON 401
#
# HSO driver 
#
# Contributor: Vincent Teoh

;DefaultVendor=  0x0af0
;DefaultProduct= 0x7401

;TargetClass=    0xff

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="55534243785634120100000080000601000000000000000000000000000000"

;ResponseEndpoint=0x81


######################################################## 
# Vodafone K3760 (made by Option, HSO driver) 
#                                                          
# Contributor: The Solutor                        

;DefaultVendor=  0x0af0 
;DefaultProduct= 0x7501 

;TargetClass=    0xff 

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="55534243785634120100000080000601000000000000000000000000000000"

 
########################################################
# AT&T USBConnect Quicksilver (made by Option, HSO driver)
#
# Contributor: sissie from Bullteam 

;DefaultVendor=  0x0af0
;DefaultProduct= 0xd033

;TargetClass=    0xff

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243785634120100000080000601000000000000000000000000000000"


########################################################
# Huawei E220 (aka "Vodafone EasyBox II", aka "T-Mobile wnw Box Micro")
# Huawei E230
# Huawei E270
# Huawei E870
# and probably most other Huawei devices (just adapt product ID)
#
# Two options: 1. removal of "usb-storage"  2. the special control
# message found by Miroslav Bobovsky
#
# Contributor: Hans Kurent, Denis Sutter, Vincent Teoh

DefaultVendor=  0x12d1
DefaultProduct= 0x1003

# choose one of these:
DetachStorageOnly=1
HuaweiMode=1


########################################################
# Huawei E169
#
# Contributor: Dale Lane

DefaultVendor=  0x12d1;
DefaultProduct= 0x1001

# choose one of these:
DetachStorageOnly=1
HuaweiMode=1


########################################################
# Huawei E180
#
# Contributor: Tom Dawahare

DefaultVendor=  0x12d1
DefaultProduct= 0x1414

# choose one of these:
DetachStorageOnly=1
HuaweiMode=1


########################################################
# Huawei E630
#
# You might also try to use the Huawei sequence with it
#
# Beware: there are modem-only variants around - no storage,
# no switching necessary!
#
# Contributor: Joakim Wenrgren

;DefaultVendor=  0x1033
;DefaultProduct= 0x0035

;TargetVendor=   0x12d1
;TargetProduct=  0x1003

;DetachStorageOnly=1


########################################################
# ZTE MF620 (aka "Onda MH600HS")
#
# Probably works with DetachStorageOnly too
#
# Contributor: Fl�vio Moringa

;DefaultVendor=  0x19d2
;DefaultProduct= 0x2000

;TargetVendor=   0x19d2
;TargetProduct=  0x0001

# only for reference and 0.x versions
# MessageEndpoint=0x04

;MessageContent="55534243123456780000000000000600000000000000000000000000000000"


########################################################
# ZTE MF622 (aka "Onda MDC502HS")
#
# Contributor: andylog

;DefaultVendor=  0x19d2
;DefaultProduct= 0x2000

;TargetVendor=   0x19d2
;TargetProduct=  0x0002

# only for reference and 0.x versions
# MessageEndpoint=0x04

;MessageContent="55534243f8f993882000000080000a85010101180101010101000000000000"


########################################################
# ZTE MF622 (probably different version)
#
# Contributor: Pedro Algarvio

;DefaultVendor=  0x19d2
;DefaultProduct= 0x2000

;TargetVendor=   0x19d2
;TargetProduct=  0x0001

;DetachStorageOnly=1


########################################################
# ZTE MF628
#
# Captured with "usbmon". Has a micro SD slot which can be
# activated alternatively
#
# Contributor: Alvaro Lopes <alvieboy at alvie dot com>

;DefaultVendor=  0x19d2
;DefaultProduct= 0x2000

# To modem mode:

;TargetVendor=   0x19d2
;TargetProduct=  0x0015

# only for reference and 0.x versions
# MessageEndpoint=0x08

;MessageContent="5553424312345678000000000000061b000000030000000000000000000000"

# To SD slot mode:

;TargetVendor=   0x05c6
;TargetProduct=  0x2001

# only for reference and 0.x versions
# MessageEndpoint=0x08

;MessageContent="55534243123456782000000080000a86010101180101010101000000000000"

;ResponseEndpoint=7


########################################################
# ZTE MF628+ (tested version from Telia / Sweden)
# ZTE MF626
# ZTE MF633
# ZTE MF636 (aka "Telstra / BigPond 7.2 Mobile Card")
#
# Contributor: Joakim Wennergren

;DefaultVendor=  0x19d2
;DefaultProduct= 0x2000

;TargetVendor=   0x19d2
;TargetProduct=  0x0031

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="55534243123456782000000080000c85010101180101010101000000000000"

# if that command doesn't work, try the other ("eject")
;MessageContent="5553424312345678000000000000061b000000030000000000000000000000"


########################################################
# ZTE MF638 (aka "Onda MDC525UP")
#
# Contributor: andylog

;DefaultVendor=  0x19d2
;DefaultProduct= 0x2000

;TargetVendor=   0x19d2
;TargetProduct=  0x0037

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="55534243123456782000000080000c85010101180101010101000000000000"


########################################################
# ZTE AC8710
#
# Two ID variants known; check your default
#
# Contributor: Michael Khurtsiya

;DefaultVendor=  0x19d2
;DefaultProduct= 0xfff5

;TargetVendor=   0x19d2
;TargetProduct=  0xffff

# No. 2

;DefaultVendor=  0x19d2
;DefaultProduct= 0xfff6

;TargetVendor=   0x19d2
;TargetProduct=  0xfff1

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="5553424312345678c00000008000069f030000000000000000000000000000"


########################################################
# ZTE AC2710 (EVDO) 
#
# Contributor: Wasim Baig

;DefaultVendor=  0x19d2
;DefaultProduct= 0xfff5

;TargetVendor=   0x19d2
;TargetProduct=  0xffff

;MessageContent="5553424312345678c00000008000069f010000000000000000000000000000"

# Just for information: try it with the message from the AC8710 ...


########################################################
# ZTE 6535-Z
#
# Contributor: David Taillandier

;DefaultVendor=  0x19d2
;DefaultProduct= 0x2000

;TargetVendor=   0x19d2
;TargetProduct=  0x0052

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="55534243123456782000000080000c85010101180101010101000000000000"


########################################################
# ONDA MT503HS (most likely a ZTE model)
#
# Contributor: Lucio Asnaghi a.k.a. kRAkEn/gORe

;DefaultVendor=  0x19d2
;DefaultProduct= 0x2000

;TargetVendor=   0x19d2
;TargetProduct=  0x0002

# only for reference and 0.x versions
# MessageEndpoint=0x08

;MessageContent="55534243b0c8dc812000000080000a85010101180101010101000000000000"


########################################################
# ONDA MT505UP (most likely a ZTE model)
#
# Contributor: Alex Scortegagna

;DefaultVendor=  0x19d2
;DefaultProduct= 0x2000

;TargetVendor=   0x19d2
;TargetProduct=  0x0002

# only for reference and 0.x versions
# MessageEndpoint=0x03

;MessageContent="55534243123456780000010080000a28000000001c00002000000000000000"


########################################################
# Novatel Wireless Ovation MC950D HSUPA
# Novatel Wireless Merlin XU950D
# Novatel Wireless Ovation 930D
#
# Contributor: Razvan Dragomirescu, Mike Kirk

;DefaultVendor=  0x1410
;DefaultProduct= 0x5010

;TargetVendor=   0x1410
;TargetProduct=  0x4400

# only for reference and 0.x versions
# MessageEndpoint=0x09

;MessageContent="5553424312345678000000000000061b000000020000000000000000000000"

# Note: detaching the storage driver might work as well


########################################################
# Novatel U727 USB modem
#
# Modem only versions (no switching required) are around.
#
# Contributor: Chris Thielen

;DefaultVendor=  0x1410
;DefaultProduct= 0x5010

;TargetVendor=   0x1410
;TargetProduct=  0x4100

# only for reference and 0.x versions
# MessageEndpoint=0x08

;MessageContent="5553424312345678000000000000061b000000020000000000000000000000"


########################################################
# Novatel MC990D
#
# Contributor: Joakim Wennergren

;DefaultVendor=  0x1410
;DefaultProduct= 0x5020

;Interface=      5

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="5553424312345678000000000000061b000000020000000000000000000000"


########################################################
# Novatel U760 USB modem
#
# Contributor: Richard Laager

;DefaultVendor=  0x1410
;DefaultProduct= 0x5030

;TargetVendor=   0x1410
;TargetProduct=  0x6000

# only for reference and 0.x versions
# MessageEndpoint=0x08

;MessageContent="5553424312345678000000000000061b000000020000000000000000000000"


########################################################
# Alcatel One Touch X020 (aka OT-X020, aka MBD-100HU, aka Nuton 3.5G), works with Emobile D11LC
# Alcatel One Touch X030 (aka OT-X030, aka Nuton NT36HD)
#
# Contributor: Aleksandar Samardzic, Marcelo Fernandez

;DefaultVendor=  0x1c9e
;DefaultProduct= 0x1001

;TargetVendor=   0x1c9e
;TargetProduct=  0x6061

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456780000000000000606f50402527000000000000000000000"


########################################################
# Alcatel X200/X060S

;DefaultVendor=  0x1bbb
;DefaultProduct= 0xf000

;TargetVendor=   0x1bbb
;TargetProduct=  0x0000

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="55534243123456788000000080000606f50402527000000000000000000000"


########################################################
# AnyDATA ADU-500A, ADU-510A, ADU-510L, ADU-520A
#
# This ID gets an "Option" treatment by newer kernels.
# Use module option "option_zero_cd=2" with usb-storage.
# A kernel patch to fix the problem is pending
#
# Contributor: Vladimir Poluektov, Gabriel Smolar

;DefaultVendor=  0x05c6
;DefaultProduct= 0x1000

;TargetVendor=   0x16d5
;TargetProduct=  0x6502

# only for reference and 0.x versions
# MessageEndpoint=0x08

;MessageContent="5553424312345678000000000000061b000000020000000000000000000000"


########################################################
# BandLuxe C120
#
# Reportedly needs several switch calls in a certain order. See
# http://www.draisberghof.de/usb_modeswitch/bb/viewtopic.php?t=71
# This might be a case to try the new ResetUSB function
#
# Contributor: Alexander Czigler

;DefaultVendor=  0x1a8d
;DefaultProduct= 0x1000

;TargetVendor=   0x1a8d
;TargetProduct=  0x1002

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456781200000080000603000000020000000000000000000000"

;ResponseEndpoint=0x82


########################################################
# Solomon S3Gm-660
#
# Same notes apply as with the BandLuxe C120 above
#
# Contributor: Alexander Czigler

;DefaultVendor=  0x1dd6
;DefaultProduct= 0x1000

;TargetVendor=   0x1dd6
;TargetProduct=  0x1002

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456781200000080000603000000020000000000000000000000"

;ResponseEndpoint=0x82


########################################################
# C-motech D-50 (aka "CDU-680")
#
# Interesting notes about the device in the forum post at
# http://www.draisberghof.de/usb_modeswitch/bb/viewtopic.php?t=69
#
# Contributor: Alexander Czigler

;DefaultVendor=  0x16d8
;DefaultProduct= 0x6803

;TargetVendor=   0x16d8
;TargetProduct=  0x6803

# only for reference and 0.x versions
# MessageEndpoint=0x07

;MessageContent="555342431234567824000000800008ff524445564348470000000000000000"


########################################################
# C-motech CGU-628 (aka "Franklin Wireless CGU-628A" aka "4G Systems XS Stick W12")
#
# Contributor: Mathias Picker

;DefaultVendor=  0x16d8
;DefaultProduct= 0xf000

;TargetVendor=   0x16d8
;TargetProduct=  0x6006

# only for reference and 0.x versions
# MessageEndpoint=0x09

;MessageContent="55534243d85dd88524000000800008ff524445564348470000000000000000"


########################################################
# Toshiba G450
#
# Contributor: Mijail Anton

;DefaultVendor=  0x0930
;DefaultProduct= 0x0d46

;TargetVendor=   0x0930
;TargetProduct=  0x0d45

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="5553424312345678000000000000061b000000020000000000000000000000"


########################################################
# UTStarcom UM175 (distributor "Alltel")
#
# Contributor: Mark A. Ziesemer

;DefaultVendor=  0x106c
;DefaultProduct= 0x3b03

;TargetVendor=   0x106c
;TargetProduct=  0x3715

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="555342431234567824000000800008ff024445564348470000000000000000"


########################################################
# Hummer DTM5731 
#
# Contributor: "paul"

;DefaultVendor=  0x1ab7 
;DefaultProduct= 0x5700 

;TargetVendor=   0x1ab7
;TargetProduct=  0x5731

# only for reference and 0.x versions
# MessageEndpoint=0x07

;MessageContent="5553424312345678000000000000061b000000020000000000000000000000" 


########################################################
# A-Link 3GU
#
# Contributor: A-Link Europe Ltd.

;DefaultVendor=  0x1e0e
;DefaultProduct= 0xf000

;TargetVendor=   0x1e0e
;TargetProduct=  0x9200

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="5553424312345678000000000000061b000000020000000000000000000000"


########################################################
# Sierra Wireless Compass 597
#
# Contributor: Vincent Teoh

;DefaultVendor=  0x1199
;DefaultProduct= 0x0fff

;TargetVendor=   0x1199
;TargetProduct=  0x0023

;SierraMode=1


########################################################
# Sierra Wireless AirCard 881U (most likely 880U too)
#
# Contributor: Vincent Teoh

;DefaultVendor=  0x1199
;DefaultProduct= 0x0fff

;TargetVendor=   0x1199
;TargetProduct=  0x6856

;SierraMode=1


########################################################
# Sony Ericsson MD400
#
# This is experimental. Might switch back after some time. Please report!

;DefaultVendor=  0x0fce 
;DefaultProduct= 0xd0e1

;TargetClass=    0x02

;SonyMode=1

# This might work too instead; subject to testing
;Configuration=2


########################################################
# LG LDU-1900D EV-DO (Rev. A)
#
# Recommended init command: ATE0V1&D2&C1S0=0
#
# Contributor: J�r�me Oufella

;DefaultVendor=  0x1004
;DefaultProduct= 0x1000

# only for reference and 0.x versions
# MessageEndpoint=0x08

;MessageContent="55534243123456780000000000000aff554d53434847000000000000000000"


########################################################
# Samsung SGH-Z810 USB (with microSD card)
#
# This ID gets an "Option" treatment by newer kernels.
# Use module option "option_zero_cd=2" with usb-storage.
# A kernel patch to fix the problem is pending
#
# Contributor: A Friend

;DefaultVendor=  0x05c6
;DefaultProduct= 0x1000

;TargetVendor=   0x04e8
;TargetProduct=  0x6601

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456780000000000000616000000000000000000000000000000"


######################################################## 
# MobiData MBD-200HU 
# 
# Contributor: Stefan Olejnik 

;DefaultVendor=  0x1c9e
;DefaultProduct= 0xf000

;TargetVendor=   0x1c9e
;TargetProduct=  0x9000

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="55534243123456788000000080000606f50402527000000000000000000000"


######################################################## 
# ST Mobile Connect HSUPA USB Modem 
#
# Use /dev/ttyUSB2 for connecting
#
# Contributor: Vincent Teoh

;DefaultVendor=  0x1c9e
;DefaultProduct= 0xf000

;TargetVendor=   0x1c9e
;TargetProduct=  0x9063

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="55534243123456788000000080000606f50402527000000000000000000000"


######################################################## 
# MyWave SW006 Sport Phone/Modem Combination
#
# Has a card reader too, working fine
# 
# Contributor: Aaron Guidazzi

;DefaultVendor=  0x1c9e
;DefaultProduct= 0x9200

;DefaultVendor=  0x1c9e
;DefaultProduct= 0x9202

# only for reference and 0.x versions
# MessageEndpoint=0x03

;MessageContent="55534243123456780000000000000606f50402527000000000000000000000"


########################################################
# Cricket A600
#
# Switches to ACM device. Might need a ResetUSB after switching - or not
#
# Contributor: Jeffrey Hoogland

;DefaultVendor=  0x1f28
;DefaultProduct= 0x0021

;TargetVendor=   0x1f28
;TargetProduct=  0x0020

# only for reference and 0.x versions
# MessageEndpoint=0x08

;MessageContent="555342431234567824000000800108df200000000000000000000000000000"

# Afterwards (optional): "usb_modeswitch -v 0x1f28 -p 0x0020 -R"


########################################################
# EpiValley SEC-7089 (featured by Alegro and Starcomms / iZAP)
#
# Contributor: Chris Wright

;DefaultVendor=  0x1b7d
;DefaultProduct= 0x0700

;TargetVendor=   0x1b7d
;TargetProduct=  0x0001

# only for reference and 0.x versions
# MessageEndpoint=0x07

;MessageContent="555342431234567824000000800008FF05B112AEE102000000000000000000"


########################################################
# Samsung U209
#
# Has a modem and a storage device after switching
#
# Contributor: Arif Ahmed

;DefaultVendor=  0x04e8
;DefaultProduct= 0xf000

;TargetVendor=   0x04e8
;TargetProduct=  0x6601

# only for reference and 0.x versions
# MessageEndpoint=0x05

;MessageContent="55534243123456780000000000000616000000000000000000000000000000"


########################################################
# Huawei E1692
#
# Contributor: Roberto Riggio

DefaultVendor=  0x12d1
DefaultProduct= 0x1446

# choose one of these:
DetachStorageOnly=1
HuaweiMode=1


########################################################
# Huawei E270+  (HSPA+ modem)
#
# The "option" driver may bind to it out of the box
# depending on kernel version
#
# Huawei's software on Windows uses the card in "NDIS mode"
# with an Ethernet interface (this should be possible to do
# in Linux as well; cdc-ether?)
#
# Contributor: Paranoid Paranoia

;DefaultVendor=  0x12d1
;DefaultProduct= 0x1446

;TargetVendor=   0x12d1
;TargetProduct=  0x14ac

;MessageContent="55534243123456780000000000000011060000000000000000000000000000"

;CheckSuccess=5


########################################################
# Huawei E1550
#
# Contributor: Anders Blomdell, Ahmed Soliman

;DefaultVendor=  0x12d1
;DefaultProduct= 0x1446

;TargetVendor=   0x12d1
;TargetProduct=  0x1001

# only for reference and 0.x versions
# MessageEndpoint=0x01

;MessageContent="55534243123456780000000000000011060000000000000000000000000000"


########################################################
# ZTE K3520-Z
#
# Contributor: Paul McDermott 

;DefaultVendor=  0x19d2
;DefaultProduct= 0x2000

;TargetVendor=   0x19d2
;TargetProduct=  0x0055

# only for reference
# MessageEndpoint=0x09 

;MessageContent="55534243123456782000000080000c85010101180101010101000000000000" 


######################################################## 
# MobiData MBD-200HU 
# 
# Contributor: Chris

;DefaultVendor=  0x1c9e 
;DefaultProduct= 0xf000

;TargetVendor=   0x1c9e
;TargetProduct=  0x9603
